Skip to main content
GET
/
api
/
v2
/
advertiser
/
offers
List offers
curl --request GET \
  --url https://{domain}/api/v2/advertiser/offers \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://{domain}/api/v2/advertiser/offers"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://{domain}/api/v2/advertiser/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "offers": [
      {
        "id": 123,
        "advertiser_id": 123,
        "title": "<string>",
        "status": 123,
        "description": "<string>",
        "image": "<string>",
        "gt_included_ids": "<string>",
        "gt_excluded_ids": "<string>",
        "extended_targeting": "<string>",
        "is_featured": 123,
        "is_expires": 123,
        "expiration_date": "<string>",
        "timezone": "<string>",
        "currency": "<string>",
        "ar": "<string>",
        "adv_cr": "<string>",
        "cpc": "<string>",
        "tracking_domain_id": 123,
        "traffic_types_selected": "<string>",
        "traffic_types": "<string>",
        "advertiser": "<string>",
        "tracking_domain": "<string>",
        "goals": [
          {
            "goal_id": 123,
            "goal_name": "<string>",
            "tracking_method": 123,
            "conversion_status": 123,
            "multiple_conversions": 123,
            "has_caps": 123,
            "caps": "<string>",
            "alias": "<string>",
            "is_default": 123,
            "revenue": "<string>",
            "payout": "<string>",
            "goalType": {
              "id": 123,
              "title": "<string>",
              "color": "<string>",
              "type": "<string>"
            },
            "goal_type": 123,
            "goal_type_name": "<string>",
            "payoutByCountry": [
              {}
            ],
            "payoutByTier": [
              {}
            ]
          }
        ],
        "targeting": {
          "geo": {
            "allowed": "<string>",
            "denied": "<string>"
          },
          "extended_targeting": [
            {}
          ]
        },
        "creatives_count": 123,
        "creatives": [
          {
            "id": 123,
            "title": "<string>",
            "description": "<string>",
            "type": 123,
            "image": "<string>",
            "image_width": 123,
            "image_height": 123,
            "image_size": 123,
            "offer_url_id": 123,
            "count_impressions": 123,
            "html_code": "<string>",
            "plain_text": "<string>",
            "xml_feed_url": "<string>",
            "xml_feed_url_tag": "<string>",
            "status": 123,
            "offer_id": 123,
            "created": 123,
            "updated": 123,
            "type_selected": "<string>",
            "offer_url_selected": "<string>",
            "added_date": "<string>"
          }
        ],
        "links_count": 123,
        "links": [
          {
            "id": 123,
            "title": "<string>",
            "type": 123,
            "url": "<string>",
            "preview": "<string>",
            "visible_to_all_affiliates": 123,
            "visible_to_specific_affiliates_only": "<string>",
            "geo_allowed": "<string>",
            "geo_denied": "<string>",
            "rules": [
              [
                [
                  "<string>"
                ]
              ]
            ],
            "percent": 123,
            "status": 123,
            "offer_id": 123,
            "created": 123,
            "updated": 123,
            "type_selected": "<string>"
          }
        ],
        "live_stats": {
          "key": "<string>",
          "current": {
            "ranges": [
              "<string>"
            ],
            "series": [
              123
            ],
            "total": 123,
            "total_change": 123
          },
          "previous": {
            "ranges": [
              "<string>"
            ],
            "series": [
              123
            ],
            "total": 123,
            "total_change": 123
          }
        },
        "visible_type_selected": [
          {}
        ],
        "categories": [
          {}
        ]
      }
    ]
  }
}
{
"message": "Request could not be parsed.",
"success": false,
"info": {
"errors": {}
}
}
{
"message": "API key is invalid or missing.",
"success": false
}
{
"message": "This endpoint is not available for your role.",
"success": false
}
{
"message": "Resource not found.",
"success": false
}
{
"message": "An unexpected error occurred.",
"success": false,
"info": {
"errors": {}
}
}

Authorizations

X-API-Key
string
header
required

Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.

Query Parameters

page
integer

Page number.

perPage
integer

Items per page.

sortField
string

Sort field.

sortDirection
enum<string>

Sort direction.

Available options:
asc,
desc

Search by text or ID.

columns
string

Comma-separated column keys.

Response

Offers list.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object